Recalculate priority of a parent issue automatically after child issue is closed

2013-11-07 09:17 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

A ticket's priority cannot be edited if the ticket has subtasks.

subtask a very very urgent

subtask b normal

subtask c very very low

It seems as the highest priority of a subtask will be passed to the parent issue.

In the case above the parent's priority is very very urgent.

After ticket a and b are closed ticket c remains but the priority of the parent still is very very urgent.

I think recalculating the parent's priority after a ticket of a sub task is finished and using the highest priority of remaining tickets would

help much for the daily work...

Related issues:

Is duplicate of Redmine - Defect #5880: Only consider open subtasks when comp... Closed 2010-07-14

History

#1 - 2015-07-24 16:26 - Jaap de Haan

I fully agree with this idea. Priority is something dynamic. You can have a main task that has a subtask to urgently provide a workaround while

another subtask takes care with lower prio of tackling the root cause in a clean way. This happens quite often in practice to us too.

+1 for this!

#2 - 2016-01-11 09:07 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this issue as a duplicate of #5880.

#3 - 2016-01-11 09:07 - Go MAEDA

- Is duplicate of Defect #5880: Only consider open subtasks when computing the priority of a parent issue added
